Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network236.80.2.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
Network address
236.80.2.0
Broadcast address
236.80.2.255
First usable
236.80.2.1
Last usable
236.80.2.254
Usable hosts
254 (256 less the network and broadcast addresses)
Subnet mask
255.255.255.0
Wildcard mask
0.0.0.255 (Cisco ACLs, OSPF)
Prefix length
/24
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EC500200 · Integer 3964666368 to 3964666623
Reverse DNS zone
2.80.236.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101100.01010000.00000010..00000000236.80.2.0
Subnet mask11111111.11111111.11111111..00000000255.255.255.0
Network11101100.01010000.00000010..00000000236.80.2.0
Broadcast11101100.01010000.00000010..11111111236.80.2.255
Split into smaller subnets/32

236.80.2.0/24 makes 256 subnets of /32.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1236.80.2.0/32236.80.2.0 to 236.80.2.0—1
2236.80.2.1/32236.80.2.1 to 236.80.2.1—1
3236.80.2.2/32236.80.2.2 to 236.80.2.2—1
4236.80.2.3/32236.80.2.3 to 236.80.2.3—1
5236.80.2.4/32236.80.2.4 to 236.80.2.4—1
6236.80.2.5/32236.80.2.5 to 236.80.2.5—1
7236.80.2.6/32236.80.2.6 to 236.80.2.6—1
8236.80.2.7/32236.80.2.7 to 236.80.2.7—1
9236.80.2.8/32236.80.2.8 to 236.80.2.8—1
10236.80.2.9/32236.80.2.9 to 236.80.2.9—1
11236.80.2.10/32236.80.2.10 to 236.80.2.10—1
12236.80.2.11/32236.80.2.11 to 236.80.2.11—1
13236.80.2.12/32236.80.2.12 to 236.80.2.12—1
14236.80.2.13/32236.80.2.13 to 236.80.2.13—1
15236.80.2.14/32236.80.2.14 to 236.80.2.14—1
16236.80.2.15/32236.80.2.15 to 236.80.2.15—1
17236.80.2.16/32236.80.2.16 to 236.80.2.16—1
18236.80.2.17/32236.80.2.17 to 236.80.2.17—1
19236.80.2.18/32236.80.2.18 to 236.80.2.18—1
20236.80.2.19/32236.80.2.19 to 236.80.2.19—1
21236.80.2.20/32236.80.2.20 to 236.80.2.20—1
22236.80.2.21/32236.80.2.21 to 236.80.2.21—1
23236.80.2.22/32236.80.2.22 to 236.80.2.22—1
24236.80.2.23/32236.80.2.23 to 236.80.2.23—1
25236.80.2.24/32236.80.2.24 to 236.80.2.24—1
26236.80.2.25/32236.80.2.25 to 236.80.2.25—1
27236.80.2.26/32236.80.2.26 to 236.80.2.26—1
28236.80.2.27/32236.80.2.27 to 236.80.2.27—1
29236.80.2.28/32236.80.2.28 to 236.80.2.28—1
30236.80.2.29/32236.80.2.29 to 236.80.2.29—1
31236.80.2.30/32236.80.2.30 to 236.80.2.30—1
32236.80.2.31/32236.80.2.31 to 236.80.2.31—1
33236.80.2.32/32236.80.2.32 to 236.80.2.32—1
34236.80.2.33/32236.80.2.33 to 236.80.2.33—1
35236.80.2.34/32236.80.2.34 to 236.80.2.34—1
36236.80.2.35/32236.80.2.35 to 236.80.2.35—1
37236.80.2.36/32236.80.2.36 to 236.80.2.36—1
38236.80.2.37/32236.80.2.37 to 236.80.2.37—1
39236.80.2.38/32236.80.2.38 to 236.80.2.38—1
40236.80.2.39/32236.80.2.39 to 236.80.2.39—1
41236.80.2.40/32236.80.2.40 to 236.80.2.40—1
42236.80.2.41/32236.80.2.41 to 236.80.2.41—1
43236.80.2.42/32236.80.2.42 to 236.80.2.42—1
44236.80.2.43/32236.80.2.43 to 236.80.2.43—1
45236.80.2.44/32236.80.2.44 to 236.80.2.44—1
46236.80.2.45/32236.80.2.45 to 236.80.2.45—1
47236.80.2.46/32236.80.2.46 to 236.80.2.46—1
48236.80.2.47/32236.80.2.47 to 236.80.2.47—1
49236.80.2.48/32236.80.2.48 to 236.80.2.48—1
50236.80.2.49/32236.80.2.49 to 236.80.2.49—1
51236.80.2.50/32236.80.2.50 to 236.80.2.50—1
52236.80.2.51/32236.80.2.51 to 236.80.2.51—1
53236.80.2.52/32236.80.2.52 to 236.80.2.52—1
54236.80.2.53/32236.80.2.53 to 236.80.2.53—1
55236.80.2.54/32236.80.2.54 to 236.80.2.54—1
56236.80.2.55/32236.80.2.55 to 236.80.2.55—1
57236.80.2.56/32236.80.2.56 to 236.80.2.56—1
58236.80.2.57/32236.80.2.57 to 236.80.2.57—1
59236.80.2.58/32236.80.2.58 to 236.80.2.58—1
60236.80.2.59/32236.80.2.59 to 236.80.2.59—1
61236.80.2.60/32236.80.2.60 to 236.80.2.60—1
62236.80.2.61/32236.80.2.61 to 236.80.2.61—1
63236.80.2.62/32236.80.2.62 to 236.80.2.62—1
64236.80.2.63/32236.80.2.63 to 236.80.2.63—1
65236.80.2.64/32236.80.2.64 to 236.80.2.64—1
66236.80.2.65/32236.80.2.65 to 236.80.2.65—1
67236.80.2.66/32236.80.2.66 to 236.80.2.66—1
68236.80.2.67/32236.80.2.67 to 236.80.2.67—1
69236.80.2.68/32236.80.2.68 to 236.80.2.68—1
70236.80.2.69/32236.80.2.69 to 236.80.2.69—1
71236.80.2.70/32236.80.2.70 to 236.80.2.70—1
72236.80.2.71/32236.80.2.71 to 236.80.2.71—1
73236.80.2.72/32236.80.2.72 to 236.80.2.72—1
74236.80.2.73/32236.80.2.73 to 236.80.2.73—1
75236.80.2.74/32236.80.2.74 to 236.80.2.74—1
76236.80.2.75/32236.80.2.75 to 236.80.2.75—1
77236.80.2.76/32236.80.2.76 to 236.80.2.76—1
78236.80.2.77/32236.80.2.77 to 236.80.2.77—1
79236.80.2.78/32236.80.2.78 to 236.80.2.78—1
80236.80.2.79/32236.80.2.79 to 236.80.2.79—1
81236.80.2.80/32236.80.2.80 to 236.80.2.80—1
82236.80.2.81/32236.80.2.81 to 236.80.2.81—1
83236.80.2.82/32236.80.2.82 to 236.80.2.82—1
84236.80.2.83/32236.80.2.83 to 236.80.2.83—1
85236.80.2.84/32236.80.2.84 to 236.80.2.84—1
86236.80.2.85/32236.80.2.85 to 236.80.2.85—1
87236.80.2.86/32236.80.2.86 to 236.80.2.86—1
88236.80.2.87/32236.80.2.87 to 236.80.2.87—1
89236.80.2.88/32236.80.2.88 to 236.80.2.88—1
90236.80.2.89/32236.80.2.89 to 236.80.2.89—1
91236.80.2.90/32236.80.2.90 to 236.80.2.90—1
92236.80.2.91/32236.80.2.91 to 236.80.2.91—1
93236.80.2.92/32236.80.2.92 to 236.80.2.92—1
94236.80.2.93/32236.80.2.93 to 236.80.2.93—1
95236.80.2.94/32236.80.2.94 to 236.80.2.94—1
96236.80.2.95/32236.80.2.95 to 236.80.2.95—1
97236.80.2.96/32236.80.2.96 to 236.80.2.96—1
98236.80.2.97/32236.80.2.97 to 236.80.2.97—1
99236.80.2.98/32236.80.2.98 to 236.80.2.98—1
100236.80.2.99/32236.80.2.99 to 236.80.2.99—1
101236.80.2.100/32236.80.2.100 to 236.80.2.100—1
102236.80.2.101/32236.80.2.101 to 236.80.2.101—1
103236.80.2.102/32236.80.2.102 to 236.80.2.102—1
104236.80.2.103/32236.80.2.103 to 236.80.2.103—1
105236.80.2.104/32236.80.2.104 to 236.80.2.104—1
106236.80.2.105/32236.80.2.105 to 236.80.2.105—1
107236.80.2.106/32236.80.2.106 to 236.80.2.106—1
108236.80.2.107/32236.80.2.107 to 236.80.2.107—1
109236.80.2.108/32236.80.2.108 to 236.80.2.108—1
110236.80.2.109/32236.80.2.109 to 236.80.2.109—1
111236.80.2.110/32236.80.2.110 to 236.80.2.110—1
112236.80.2.111/32236.80.2.111 to 236.80.2.111—1
113236.80.2.112/32236.80.2.112 to 236.80.2.112—1
114236.80.2.113/32236.80.2.113 to 236.80.2.113—1
115236.80.2.114/32236.80.2.114 to 236.80.2.114—1
116236.80.2.115/32236.80.2.115 to 236.80.2.115—1
117236.80.2.116/32236.80.2.116 to 236.80.2.116—1
118236.80.2.117/32236.80.2.117 to 236.80.2.117—1
119236.80.2.118/32236.80.2.118 to 236.80.2.118—1
120236.80.2.119/32236.80.2.119 to 236.80.2.119—1
121236.80.2.120/32236.80.2.120 to 236.80.2.120—1
122236.80.2.121/32236.80.2.121 to 236.80.2.121—1
123236.80.2.122/32236.80.2.122 to 236.80.2.122—1
124236.80.2.123/32236.80.2.123 to 236.80.2.123—1
125236.80.2.124/32236.80.2.124 to 236.80.2.124—1
126236.80.2.125/32236.80.2.125 to 236.80.2.125—1
127236.80.2.126/32236.80.2.126 to 236.80.2.126—1
128236.80.2.127/32236.80.2.127 to 236.80.2.127—1
129236.80.2.128/32236.80.2.128 to 236.80.2.128—1
130236.80.2.129/32236.80.2.129 to 236.80.2.129—1
131236.80.2.130/32236.80.2.130 to 236.80.2.130—1
132236.80.2.131/32236.80.2.131 to 236.80.2.131—1
133236.80.2.132/32236.80.2.132 to 236.80.2.132—1
134236.80.2.133/32236.80.2.133 to 236.80.2.133—1
135236.80.2.134/32236.80.2.134 to 236.80.2.134—1
136236.80.2.135/32236.80.2.135 to 236.80.2.135—1
137236.80.2.136/32236.80.2.136 to 236.80.2.136—1
138236.80.2.137/32236.80.2.137 to 236.80.2.137—1
139236.80.2.138/32236.80.2.138 to 236.80.2.138—1
140236.80.2.139/32236.80.2.139 to 236.80.2.139—1
141236.80.2.140/32236.80.2.140 to 236.80.2.140—1
142236.80.2.141/32236.80.2.141 to 236.80.2.141—1
143236.80.2.142/32236.80.2.142 to 236.80.2.142—1
144236.80.2.143/32236.80.2.143 to 236.80.2.143—1
145236.80.2.144/32236.80.2.144 to 236.80.2.144—1
146236.80.2.145/32236.80.2.145 to 236.80.2.145—1
147236.80.2.146/32236.80.2.146 to 236.80.2.146—1
148236.80.2.147/32236.80.2.147 to 236.80.2.147—1
149236.80.2.148/32236.80.2.148 to 236.80.2.148—1
150236.80.2.149/32236.80.2.149 to 236.80.2.149—1
151236.80.2.150/32236.80.2.150 to 236.80.2.150—1
152236.80.2.151/32236.80.2.151 to 236.80.2.151—1
153236.80.2.152/32236.80.2.152 to 236.80.2.152—1
154236.80.2.153/32236.80.2.153 to 236.80.2.153—1
155236.80.2.154/32236.80.2.154 to 236.80.2.154—1
156236.80.2.155/32236.80.2.155 to 236.80.2.155—1
157236.80.2.156/32236.80.2.156 to 236.80.2.156—1
158236.80.2.157/32236.80.2.157 to 236.80.2.157—1
159236.80.2.158/32236.80.2.158 to 236.80.2.158—1
160236.80.2.159/32236.80.2.159 to 236.80.2.159—1
161236.80.2.160/32236.80.2.160 to 236.80.2.160—1
162236.80.2.161/32236.80.2.161 to 236.80.2.161—1
163236.80.2.162/32236.80.2.162 to 236.80.2.162—1
164236.80.2.163/32236.80.2.163 to 236.80.2.163—1
165236.80.2.164/32236.80.2.164 to 236.80.2.164—1
166236.80.2.165/32236.80.2.165 to 236.80.2.165—1
167236.80.2.166/32236.80.2.166 to 236.80.2.166—1
168236.80.2.167/32236.80.2.167 to 236.80.2.167—1
169236.80.2.168/32236.80.2.168 to 236.80.2.168—1
170236.80.2.169/32236.80.2.169 to 236.80.2.169—1
171236.80.2.170/32236.80.2.170 to 236.80.2.170—1
172236.80.2.171/32236.80.2.171 to 236.80.2.171—1
173236.80.2.172/32236.80.2.172 to 236.80.2.172—1
174236.80.2.173/32236.80.2.173 to 236.80.2.173—1
175236.80.2.174/32236.80.2.174 to 236.80.2.174—1
176236.80.2.175/32236.80.2.175 to 236.80.2.175—1
177236.80.2.176/32236.80.2.176 to 236.80.2.176—1
178236.80.2.177/32236.80.2.177 to 236.80.2.177—1
179236.80.2.178/32236.80.2.178 to 236.80.2.178—1
180236.80.2.179/32236.80.2.179 to 236.80.2.179—1
181236.80.2.180/32236.80.2.180 to 236.80.2.180—1
182236.80.2.181/32236.80.2.181 to 236.80.2.181—1
183236.80.2.182/32236.80.2.182 to 236.80.2.182—1
184236.80.2.183/32236.80.2.183 to 236.80.2.183—1
185236.80.2.184/32236.80.2.184 to 236.80.2.184—1
186236.80.2.185/32236.80.2.185 to 236.80.2.185—1
187236.80.2.186/32236.80.2.186 to 236.80.2.186—1
188236.80.2.187/32236.80.2.187 to 236.80.2.187—1
189236.80.2.188/32236.80.2.188 to 236.80.2.188—1
190236.80.2.189/32236.80.2.189 to 236.80.2.189—1
191236.80.2.190/32236.80.2.190 to 236.80.2.190—1
192236.80.2.191/32236.80.2.191 to 236.80.2.191—1
193236.80.2.192/32236.80.2.192 to 236.80.2.192—1
194236.80.2.193/32236.80.2.193 to 236.80.2.193—1
195236.80.2.194/32236.80.2.194 to 236.80.2.194—1
196236.80.2.195/32236.80.2.195 to 236.80.2.195—1
197236.80.2.196/32236.80.2.196 to 236.80.2.196—1
198236.80.2.197/32236.80.2.197 to 236.80.2.197—1
199236.80.2.198/32236.80.2.198 to 236.80.2.198—1
200236.80.2.199/32236.80.2.199 to 236.80.2.199—1
201236.80.2.200/32236.80.2.200 to 236.80.2.200—1
202236.80.2.201/32236.80.2.201 to 236.80.2.201—1
203236.80.2.202/32236.80.2.202 to 236.80.2.202—1
204236.80.2.203/32236.80.2.203 to 236.80.2.203—1
205236.80.2.204/32236.80.2.204 to 236.80.2.204—1
206236.80.2.205/32236.80.2.205 to 236.80.2.205—1
207236.80.2.206/32236.80.2.206 to 236.80.2.206—1
208236.80.2.207/32236.80.2.207 to 236.80.2.207—1
209236.80.2.208/32236.80.2.208 to 236.80.2.208—1
210236.80.2.209/32236.80.2.209 to 236.80.2.209—1
211236.80.2.210/32236.80.2.210 to 236.80.2.210—1
212236.80.2.211/32236.80.2.211 to 236.80.2.211—1
213236.80.2.212/32236.80.2.212 to 236.80.2.212—1
214236.80.2.213/32236.80.2.213 to 236.80.2.213—1
215236.80.2.214/32236.80.2.214 to 236.80.2.214—1
216236.80.2.215/32236.80.2.215 to 236.80.2.215—1
217236.80.2.216/32236.80.2.216 to 236.80.2.216—1
218236.80.2.217/32236.80.2.217 to 236.80.2.217—1
219236.80.2.218/32236.80.2.218 to 236.80.2.218—1
220236.80.2.219/32236.80.2.219 to 236.80.2.219—1
221236.80.2.220/32236.80.2.220 to 236.80.2.220—1
222236.80.2.221/32236.80.2.221 to 236.80.2.221—1
223236.80.2.222/32236.80.2.222 to 236.80.2.222—1
224236.80.2.223/32236.80.2.223 to 236.80.2.223—1
225236.80.2.224/32236.80.2.224 to 236.80.2.224—1
226236.80.2.225/32236.80.2.225 to 236.80.2.225—1
227236.80.2.226/32236.80.2.226 to 236.80.2.226—1
228236.80.2.227/32236.80.2.227 to 236.80.2.227—1
229236.80.2.228/32236.80.2.228 to 236.80.2.228—1
230236.80.2.229/32236.80.2.229 to 236.80.2.229—1
231236.80.2.230/32236.80.2.230 to 236.80.2.230—1
232236.80.2.231/32236.80.2.231 to 236.80.2.231—1
233236.80.2.232/32236.80.2.232 to 236.80.2.232—1
234236.80.2.233/32236.80.2.233 to 236.80.2.233—1
235236.80.2.234/32236.80.2.234 to 236.80.2.234—1
236236.80.2.235/32236.80.2.235 to 236.80.2.235—1
237236.80.2.236/32236.80.2.236 to 236.80.2.236—1
238236.80.2.237/32236.80.2.237 to 236.80.2.237—1
239236.80.2.238/32236.80.2.238 to 236.80.2.238—1
240236.80.2.239/32236.80.2.239 to 236.80.2.239—1
241236.80.2.240/32236.80.2.240 to 236.80.2.240—1
242236.80.2.241/32236.80.2.241 to 236.80.2.241—1
243236.80.2.242/32236.80.2.242 to 236.80.2.242—1
244236.80.2.243/32236.80.2.243 to 236.80.2.243—1
245236.80.2.244/32236.80.2.244 to 236.80.2.244—1
246236.80.2.245/32236.80.2.245 to 236.80.2.245—1
247236.80.2.246/32236.80.2.246 to 236.80.2.246—1
248236.80.2.247/32236.80.2.247 to 236.80.2.247—1
249236.80.2.248/32236.80.2.248 to 236.80.2.248—1
250236.80.2.249/32236.80.2.249 to 236.80.2.249—1
251236.80.2.250/32236.80.2.250 to 236.80.2.250—1
252236.80.2.251/32236.80.2.251 to 236.80.2.251—1
253236.80.2.252/32236.80.2.252 to 236.80.2.252—1
254236.80.2.253/32236.80.2.253 to 236.80.2.253—1
255236.80.2.254/32236.80.2.254 to 236.80.2.254—1
256236.80.2.255/32236.80.2.255 to 236.80.2.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses